package com.yeejoin.equipmanage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.equipmanage.common.entity.SystemDic;

import java.util.List;

/**
 * 数据字典 服务类
 *
 * @author wujiang
 * @date 2020-07-07
 */
public interface ISystemDicService extends IService<SystemDic> {
	/**
	 * 根据枚举类型获取数据
	 * @param type
	 * @return
	 */
	List<SystemDic> findAllByType(String type);
	
	SystemDic findByTypeAndCode(String type, String code);

	SystemDic  getByIdforAll(Long id);
}
